
Website Input - Feature #1971

Add ability to define the login form name

08/05/2017 07:32 AM - Luke Murphey

Status: New Start date: 08/05/2017

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

History

#1 - 08/07/2017 03:55 PM - Luke Murphey

- Target version changed from 4.4 to 4.5

Might want to do this by selector.

#2 - 08/09/2017 06:23 PM - Luke Murphey

Need to update the controller too.

#3 - 08/11/2017 09:06 PM - Luke Murphey

- Target version deleted (4.5)

MechanizeClient doesn't really support this easily.

#4 - 08/11/2017 09:09 PM - Luke Murphey

Steps:

1. Add field to the wizard

2. Add field to the mod input page

3. Add field to mod input

4. Add field to input spec

5. Pass down field to WebScraper, WebInput

6. Update auto-discovery algorithm to put form ID in control on the auto-discover page

7. Update search command and search command bnf

authentication_form_selector = <value>

* A CSS selector identifying the login form

* If undefined, the input will try to find the login form automatically
